composer.json 3.69 KB
Newer Older
1
{
2 3 4
    "name": "drupal/drupal",
    "description": "Drupal is an open source content management platform powering millions of websites and applications.",
    "type": "project",
5
    "license": "GPL-2.0-or-later",
6
    "require": {
7
        "composer/installers": "^1.0.24",
8
        "drupal/core": "self.version",
9
        "drupal/core-vendor-hardening": "self.version",
10
        "wikimedia/composer-merge-plugin": "^1.4"
11
    },
12 13 14 15 16 17 18 19 20
    "require-dev": {
        "behat/mink": "1.7.x-dev",
        "behat/mink-goutte-driver": "^1.2",
        "behat/mink-selenium2-driver": "1.3.x-dev",
        "composer/composer": "^1.8",
        "drupal/coder": "^8.3.2",
        "jcalderonzumba/gastonjs": "^1.0.2",
        "jcalderonzumba/mink-phantomjs-driver": "^0.3.1",
        "mikey179/vfsstream": "^1.2",
21
        "phpunit/phpunit": "^6.5 || ^7",
22 23 24 25
        "phpspec/prophecy": "^1.7",
        "symfony/css-selector": "^3.4.0",
        "symfony/phpunit-bridge": "^3.4.3",
        "symfony/debug": "^3.4.0",
26 27 28
        "justinrainbow/json-schema": "^5.2",
        "symfony/filesystem": "~3.4.0",
        "symfony/finder": "~3.4.0",
29 30
        "symfony/lock": "~3.4.0",
        "symfony/browser-kit": "^3.4.0"
31 32 33 34 35 36 37 38 39 40
    },
    "minimum-stability": "dev",
    "prefer-stable": true,
    "config": {
        "preferred-install": "dist",
        "autoloader-suffix": "Drupal8"
    },
    "extra": {
        "_readme": [
            "By default Drupal loads the autoloader from ./vendor/autoload.php.",
41 42 43 44
            "To change the autoloader you can edit ./autoload.php.",
            "This file specifies the packages.drupal.org repository.",
            "You can read more about this composer repository at:",
            "https://www.drupal.org/node/2718229"
45
        ],
46 47 48 49 50
        "merge-plugin": {
            "recurse": true,
            "replace": false,
            "merge-extra": false
        },
51
        "installer-paths": {
52
            "core": ["type:drupal-core"],
53
            "libraries/{$name}": ["type:drupal-library"],
54 55 56
            "modules/contrib/{$name}": ["type:drupal-module"],
            "profiles/contrib/{$name}": ["type:drupal-profile"],
            "themes/contrib/{$name}": ["type:drupal-theme"],
57
            "drush/Commands/contrib/{$name}": ["type:drupal-drush"],
58 59
            "modules/custom/{$name}": ["type:drupal-custom-module"],
            "themes/custom/{$name}": ["type:drupal-custom-theme"]
60 61 62 63 64 65 66
        }
    },
    "autoload": {
        "psr-4": {
            "Drupal\\Core\\Composer\\": "core/lib/Drupal/Core/Composer"
        }
    },
67 68 69 70 71
    "autoload-dev": {
        "psr-4": {
            "Drupal\\Composer\\": "composer"
        }
    },
72
    "scripts": {
73 74
        "pre-install-cmd": "Drupal\\Core\\Composer\\Composer::ensureComposerVersion",
        "pre-update-cmd": "Drupal\\Core\\Composer\\Composer::ensureComposerVersion",
75
        "pre-autoload-dump": "Drupal\\Core\\Composer\\Composer::preAutoloadDump",
76 77
        "drupal-phpunit-upgrade-check": "Drupal\\Core\\Composer\\Composer::upgradePHPUnit",
        "drupal-phpunit-upgrade": "@composer update phpunit/phpunit symfony/phpunit-bridge phpspec/prophecy symfony/yaml --with-dependencies --no-progress",
78 79
        "phpcs": "phpcs --standard=core/phpcs.xml.dist --runtime-set installed_paths $($COMPOSER_BINARY config vendor-dir)/drupal/coder/coder_sniffer --",
        "phpcbf": "phpcbf --standard=core/phpcs.xml.dist --runtime-set installed_paths $($COMPOSER_BINARY config vendor-dir)/drupal/coder/coder_sniffer --"
80 81 82 83 84
    },
    "repositories": [
        {
            "type": "composer",
            "url": "https://packages.drupal.org/8"
85 86 87 88
        },
        {
            "type": "path",
            "url": "core"
89 90 91 92
        },
        {
            "type": "path",
            "url": "composer/Plugin/VendorHardening"
93 94
        }
    ]
95
}